<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс CreateCategory</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Открытые члены</a> &#124;
<a href="classCreateCategory-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс CreateCategory</div>  </div>
</div><!--header-->
<div class="contents">

<p>Грид со всеми возможными категориями для добавления в заметку  
 <a href="classCreateCategory.html#details">Подробнее...</a></p>
<div class="dynheader">
Граф наследования:CreateCategory:</div>
<div class="dyncontent">
<div class="center"><img src="classCreateCategory__inherit__graph.png" border="0" usemap="#CreateCategory_inherit__map" alt="Inheritance graph"/></div>
<map name="CreateCategory_inherit__map" id="CreateCategory_inherit__map">
<area shape="rect" title="Грид со всеми возможными категориями для добавления в заметку" alt="" coords="5,80,129,107"/>
<area shape="rect" title=" " alt="" coords="20,5,115,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<div class="dynheader">
Граф связей класса CreateCategory:</div>
<div class="dyncontent">
<div class="center"><img src="classCreateCategory__coll__graph.png" border="0" usemap="#CreateCategory_coll__map" alt="Collaboration graph"/></div>
<map name="CreateCategory_coll__map" id="CreateCategory_coll__map">
<area shape="rect" title="Грид со всеми возможными категориями для добавления в заметку" alt="" coords="5,80,129,107"/>
<area shape="rect" title=" " alt="" coords="20,5,115,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Открытые члены</h2></td></tr>
<tr class="memitem:a51bdb2e694c6821cc7170b756eaf05f0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCreateCategory.html#a51bdb2e694c6821cc7170b756eaf05f0">addingElement</a> (cat, colorCat)</td></tr>
<tr class="memdesc:a51bdb2e694c6821cc7170b756eaf05f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Добавление элемента  <a href="classCreateCategory.html#a51bdb2e694c6821cc7170b756eaf05f0">Подробнее...</a><br /></td></tr>
<tr class="separator:a51bdb2e694c6821cc7170b756eaf05f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a234e7ca12a1a50fa174f9dd64f105041"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCreateCategory.html#a234e7ca12a1a50fa174f9dd64f105041">removeElement</a> (cat)</td></tr>
<tr class="memdesc:a234e7ca12a1a50fa174f9dd64f105041"><td class="mdescLeft">&#160;</td><td class="mdescRight">Удаление элемента  <a href="classCreateCategory.html#a234e7ca12a1a50fa174f9dd64f105041">Подробнее...</a><br /></td></tr>
<tr class="separator:a234e7ca12a1a50fa174f9dd64f105041"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6126d42dc5c4ce6f37663e13a0d31e7f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCreateCategory.html#a6126d42dc5c4ce6f37663e13a0d31e7f">selectCheckedCats</a> ()</td></tr>
<tr class="memdesc:a6126d42dc5c4ce6f37663e13a0d31e7f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Получение строкого значения массива выбранных категорий  <a href="classCreateCategory.html#a6126d42dc5c4ce6f37663e13a0d31e7f">Подробнее...</a><br /></td></tr>
<tr class="separator:a6126d42dc5c4ce6f37663e13a0d31e7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2548e8834226cd0cbe2325aa1c47fdb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCreateCategory.html#ab2548e8834226cd0cbe2325aa1c47fdb">clearChecked</a> ()</td></tr>
<tr class="memdesc:ab2548e8834226cd0cbe2325aa1c47fdb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Переключение всех чекбоксов категорий на режим "не нажат".  <a href="classCreateCategory.html#ab2548e8834226cd0cbe2325aa1c47fdb">Подробнее...</a><br /></td></tr>
<tr class="separator:ab2548e8834226cd0cbe2325aa1c47fdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa49076ae91675462db579e9b195f79b3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCreateCategory.html#aa49076ae91675462db579e9b195f79b3">makeChecked</a> (categories)</td></tr>
<tr class="memdesc:aa49076ae91675462db579e9b195f79b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Выборочное активация чекбоксов  <a href="classCreateCategory.html#aa49076ae91675462db579e9b195f79b3">Подробнее...</a><br /></td></tr>
<tr class="separator:aa49076ae91675462db579e9b195f79b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f466749b65c6aee66bbb61d5ceb6421"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCreateCategory.html#a8f466749b65c6aee66bbb61d5ceb6421">findCategory</a> (cat)</td></tr>
<tr class="memdesc:a8f466749b65c6aee66bbb61d5ceb6421"><td class="mdescLeft">&#160;</td><td class="mdescRight">Поиск с возврат категории с именем cat.  <a href="classCreateCategory.html#a8f466749b65c6aee66bbb61d5ceb6421">Подробнее...</a><br /></td></tr>
<tr class="separator:a8f466749b65c6aee66bbb61d5ceb6421"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Грид со всеми возможными категориями для добавления в заметку </p>

<p class="definition">См. определение в файле <a class="el" href="CreateCategory_8qml_source.html">CreateCategory.qml</a> строка <a class="el" href="CreateCategory_8qml_source.html#l00015">15</a></p>
</div><h2 class="groupheader">Методы</h2>
<a id="a51bdb2e694c6821cc7170b756eaf05f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51bdb2e694c6821cc7170b756eaf05f0">&#9670;&nbsp;</a></span>addingElement()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CreateCategory::addingElement </td>
          <td>(</td>
          <td class="paramtype">cat&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">colorCat&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Добавление элемента </p>

</div>
</div>
<a id="ab2548e8834226cd0cbe2325aa1c47fdb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2548e8834226cd0cbe2325aa1c47fdb">&#9670;&nbsp;</a></span>clearChecked()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CreateCategory::clearChecked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Переключение всех чекбоксов категорий на режим "не нажат". </p>

</div>
</div>
<a id="a8f466749b65c6aee66bbb61d5ceb6421"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f466749b65c6aee66bbb61d5ceb6421">&#9670;&nbsp;</a></span>findCategory()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CreateCategory::findCategory </td>
          <td>(</td>
          <td class="paramtype">cat&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Поиск с возврат категории с именем cat. </p>

</div>
</div>
<a id="aa49076ae91675462db579e9b195f79b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa49076ae91675462db579e9b195f79b3">&#9670;&nbsp;</a></span>makeChecked()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CreateCategory::makeChecked </td>
          <td>(</td>
          <td class="paramtype">categories&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Выборочное активация чекбоксов </p>

</div>
</div>
<a id="a234e7ca12a1a50fa174f9dd64f105041"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a234e7ca12a1a50fa174f9dd64f105041">&#9670;&nbsp;</a></span>removeElement()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CreateCategory::removeElement </td>
          <td>(</td>
          <td class="paramtype">cat&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Удаление элемента </p>

</div>
</div>
<a id="a6126d42dc5c4ce6f37663e13a0d31e7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6126d42dc5c4ce6f37663e13a0d31e7f">&#9670;&nbsp;</a></span>selectCheckedCats()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CreateCategory::selectCheckedCats </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Получение строкого значения массива выбранных категорий </p>

</div>
</div>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/<a class="el" href="CreateCategory_8qml_source.html">CreateCategory.qml</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
